Skip to main content
GET
/
v2
/
webhooks
/
{webhookId}
Get a webhook
curl --request GET \
  --url https://api.cal.com/v2/webhooks/{webhookId} \
  --header 'Authorization: <authorization>'
import requests

url = "https://api.cal.com/v2/webhooks/{webhookId}"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://api.cal.com/v2/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "data": {
    "payloadTemplate": "{\"content\":\"A new event has been scheduled\",\"type\":\"{{type}}\",\"name\":\"{{title}}\",\"organizer\":\"{{organizer.name}}\",\"booker\":\"{{attendees.0.name}}\"}",
    "triggers": [],
    "userId": 123,
    "id": 123,
    "subscriberUrl": "<string>",
    "active": true,
    "secret": "<string>"
  }
}

Headers

Authorization
string
required

value must be Bearer <token> where <token> is api key prefixed with cal_

Path Parameters

webhookId
string
required

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required